Skip to main content

Update Service Request: MRI

PUThttps://api.propexo.com/v1/service-requests/mri/:service_request_id
Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_CreateResidentialServiceRequestsX5

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The Propexo unique identifier for the service request

Request​

This endpoint expects an object.

    resident_idstringrequired

    The Propexo unique identifier for the resident

    service_descriptionstring

    A description of the service request

    service_detailsstring

    Details about the service request

    date_createdstring

    The date the service request was created

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    status_rawstring

    The status associated with the service request

    Show 13 enum values
    ACCEPTEDARRIVEDDEPARTEDIN_PROCESSNO_ACTIONOUTSIDE_CONTRACTOR_CALLEDPARTS_ON_ORDERPENDING_BOARD_APPROVALREJECTEDREPAIRED_TEMPORARILYSUSPENDEDWORK_COMPLETEDWORK_SCHEDULED
    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_prioritystring

    The priority level associated with the service request

    Show 3 enum values
    HIGHMEDIUMLOW
    has_petsboolean

    Whether there are pets associated with the unit

    has_alarmboolean

    Whether there is an alarm associated with the unit

    completion_notesstring

    Closing notes associated with the service request

    date_enteredstring

    The date of entry for the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    date_scheduledstring

    The date the service request is scheduled

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    resident_idstringrequired

    The Propexo unique identifier for the resident

    service_descriptionstring

    A description of the service request

    service_detailsstring

    Details about the service request

    date_createdstring

    The date the service request was created

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    status_rawstring

    The status associated with the service request

    Show 13 enum values
    ACCEPTEDARRIVEDDEPARTEDIN_PROCESSNO_ACTIONOUTSIDE_CONTRACTOR_CALLEDPARTS_ON_ORDERPENDING_BOARD_APPROVALREJECTEDREPAIRED_TEMPORARILYSUSPENDEDWORK_COMPLETEDWORK_SCHEDULED
    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_prioritystring

    The priority level associated with the service request

    Show 3 enum values
    HIGHMEDIUMLOW
    has_petsboolean

    Whether there are pets associated with the unit

    has_alarmboolean

    Whether there is an alarm associated with the unit

    completion_notesstring

    Closing notes associated with the service request

    date_enteredstring

    The date of entry for the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    date_scheduledstring

    The date the service request is scheduled

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/service-requests/mri/:service_request_id
curl -X PUT https://api.propexo.com/v1/service-requests/mri/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"resident_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"resident_id": "string",
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"status_raw": "ACCEPTED",
"access_is_authorized": true,
"service_priority": "HIGH",
"has_pets": true,
"has_alarm": true,
"completion_notes": "string",
"date_entered": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z"
}
}